document.addEventListener("DOMContentLoaded", function() {
    const toggleBtn = document.getElementById("tempToggle");
    const hiddenInput = document.getElementById("temporaryHidden");

    // Inicjalizacja tooltipa
    const tooltip = new bootstrap.Tooltip(toggleBtn);

    // Funkcja aktualizująca wygląd
    function updateToggle(isActive) {
        if (isActive) {
            toggleBtn.classList.remove("btn-outline-secondary");
            toggleBtn.classList.add("btn-success");
            toggleBtn.textContent = "Tymczasowa ✔️";
        } else {
            toggleBtn.classList.remove("btn-success");
            toggleBtn.classList.add("btn-outline-secondary");
            toggleBtn.textContent = "Tymczasowa";
        }
    }

    // Inicjalizacja stanu
    let active = toggleBtn.getAttribute("data-active") === "1";
    updateToggle(active);

    // Obsługa kliknięcia
    toggleBtn.addEventListener("click", function() {
        active = !active;
        toggleBtn.setAttribute("data-active", active ? "1" : "0");
        hiddenInput.value = active ? "1" : "0";
        updateToggle(active);
    });
});
